## evehomescreen 0.0.3-2

=== src/Makefile ===
#############################################################################
# Makefile for building: evehomescreen
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 21:51:24 2010
# Project:  evehomescreen.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/opt-armel/qt4-maemo5/include/QtCore -I/opt-armel/qt4-maemo5/include/QtNetwork -I/opt-armel/qt4-maemo5/include/QtGui -I/opt-armel/qt4-maemo5/include/QtMaemo5 -I/opt-armel/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtBearer -I../qmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtBearer -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		widget.cpp \
		evemodel.cpp \
		eveaccount.cpp \
		eveskilltraining.cpp \
		evesettingsdialog.cpp \
		skilltree.cpp \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp moc_widget.cpp \
		moc_evemodel.cpp \
		moc_eveaccount.cpp \
		moc_eveskilltraining.cpp \
		moc_evesettingsdialog.cpp \
		moc_skilltree.cpp \
		moc_qmaemo5homescreenadaptor.cpp
OBJECTS       = main.o \
		widget.o \
		evemodel.o \
		eveaccount.o \
		eveskilltraining.o \
		evesettingsdialog.o \
		skilltree.o \
		qmaemo5homescreenadaptor.o \
		moc_widget.o \
		moc_evemodel.o \
		moc_eveaccount.o \
		moc_eveskilltraining.o \
		moc_evesettingsdialog.o \
		moc_skilltree.o \
		moc_qmaemo5homescreenadaptor.o
DIST          = /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		evehomescreen.pro
QMAKE_TARGET  = evehomescreen
DESTDIR       = 
TARGET        = evehomescreen

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_evesettingsdialog.h ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: evehomescreen.pro  /opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
/opt-armel/qt4-maemo5/mkspecs/common/unix.conf:
/opt-armel/qt4-maemo5/mkspecs/common/linux.conf:
/opt-armel/qt4-maemo5/mkspecs/qconfig.pri:
/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf:
/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf:
/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf:
../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
/opt-armel/qt4-maemo5/mkspecs/features/release.prf:
/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf:
/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf:
/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf:
/opt-armel/qt4-maemo5/mkspecs/features/qt.prf:
/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf:
/opt-armel/qt4-maemo5/mkspecs/features/moc.prf:
/opt-armel/qt4-maemo5/mkspecs/features/resources.prf:
/opt-armel/qt4-maemo5/mkspecs/features/uic.prf:
/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf:
/opt-armel/qt4-maemo5/mkspecs/features/lex.prf:
/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/evehomescreen1.0.0 || $(MKDIR) .tmp/evehomescreen1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents widget.h evemodel.h eveaccount.h eveskilltraining.h evesettingsdialog.h skilltree.h ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents main.cpp widget.cpp evemodel.cpp eveaccount.cpp eveskilltraining.cpp evesettingsdialog.cpp skilltree.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp .tmp/evehomescreen1.0.0/ && $(COPY_FILE) --parents evesettingsdialog.ui mainwindow.ui .tmp/evehomescreen1.0.0/ && (cd `dirname .tmp/evehomescreen1.0.0` && $(TAR) evehomescreen1.0.0.tar evehomescreen1.0.0 && $(COMPRESS) evehomescreen1.0.0.tar) && $(MOVE) `dirname .tmp/evehomescreen1.0.0`/evehomescreen1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/evehomescreen1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_widget.cpp moc_evemodel.cpp moc_eveaccount.cpp moc_eveskilltraining.cpp moc_evesettingsdialog.cpp moc_skilltree.cpp moc_qmaemo5homescreenadaptor.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_widget.cpp moc_evemodel.cpp moc_eveaccount.cpp moc_eveskilltraining.cpp moc_evesettingsdialog.cpp moc_skilltree.cpp moc_qmaemo5homescreenadaptor.cpp
moc_widget.cpp: widget.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) widget.h -o moc_widget.cpp

moc_evemodel.cpp: eveaccount.h \
		eveskilltraining.h \
		evemodel.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) evemodel.h -o moc_evemodel.cpp

moc_eveaccount.cpp: eveskilltraining.h \
		eveaccount.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) eveaccount.h -o moc_eveaccount.cpp

moc_eveskilltraining.cpp: eveskilltraining.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) eveskilltraining.h -o moc_eveskilltraining.cpp

moc_evesettingsdialog.cpp: evemodel.h \
		eveaccount.h \
		eveskilltraining.h \
		evesettingsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) evesettingsdialog.h -o moc_evesettingsdialog.cpp

moc_skilltree.cpp: skilltree.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) skilltree.h -o moc_skilltree.cpp

moc_qmaemo5homescreenadaptor.cpp: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h -o moc_qmaemo5homescreenadaptor.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_evesettingsdialog.h ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_evesettingsdialog.h ui_mainwindow.h
ui_evesettingsdialog.h: evesettingsdialog.ui
	/opt/qt4-maemo5/bin/uic evesettingsdialog.ui -o ui_evesettingsdialog.h

ui_mainwindow.h: mainwindow.ui
	/opt/qt4-maemo5/bin/uic mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp widget.h \
		mainwindow.h \
		evesettingsdialog.h \
		evemodel.h \
		eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

widget.o: widget.cpp widget.h \
		eveaccount.h \
		eveskilltraining.h \
		evesettingsdialog.h \
		evemodel.h \
		skilltree.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o widget.o widget.cpp

evemodel.o: evemodel.cpp evemodel.h \
		eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evemodel.o evemodel.cpp

eveaccount.o: eveaccount.cpp eveaccount.h \
		eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveaccount.o eveaccount.cpp

eveskilltraining.o: eveskilltraining.cpp eveskilltraining.h \
		evemodel.h \
		eveaccount.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveskilltraining.o eveskilltraining.cpp

evesettingsdialog.o: evesettingsdialog.cpp evesettingsdialog.h \
		evemodel.h \
		eveaccount.h \
		eveskilltraining.h \
		ui_evesettingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evesettingsdialog.o evesettingsdialog.cpp

skilltree.o: skilltree.cpp skilltree.h
