=== tests-build/Makefile ===
#############################################################################
# Makefile for building: tests
# Generated by qmake (2.01a) (Qt 4.6.2) on: la touko 8 13:39:07 2010
# Project:  ../tests/tests.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I../tests -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/include/qt4/QtTest -I../src -I. -I../tests -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtTest -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../tests/main.cpp \
		../src/eveaccount.cpp \
		../src/evemodel.cpp \
		../src/eveskilltraining.cpp \
		../src/skilltree.cpp moc_eveaccount.cpp \
		moc_evemodel.cpp \
		moc_eveskilltraining.cpp \
		moc_skilltree.cpp
OBJECTS       = main.o \
		eveaccount.o \
		evemodel.o \
		eveskilltraining.o \
		skilltree.o \
		moc_eveaccount.o \
		moc_evemodel.o \
		moc_eveskilltraining.o \
		moc_skilltree.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		../tests/tests.pro
QMAKE_TARGET  = tests
DESTDIR       = 
TARGET        = tests

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../tests/tests.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qtestlib.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtTest.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qtestlib.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtTest.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../tests/tests.pro

dist: 
	@$(CHK_DIR_EXISTS) ../tests/.tmp/tests1.0.0 || $(MKDIR) ../tests/.tmp/tests1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../tests/.tmp/tests1.0.0/ && $(COPY_FILE) --parents ../src/eveaccount.h ../src/evemodel.h ../src/eveskilltraining.h ../src/skilltree.h ../tests/.tmp/tests1.0.0/ && $(COPY_FILE) --parents ../tests/main.cpp ../src/eveaccount.cpp ../src/evemodel.cpp ../src/eveskilltraining.cpp ../src/skilltree.cpp ../tests/.tmp/tests1.0.0/ && (cd `dirname ../tests/.tmp/tests1.0.0` && $(TAR) tests1.0.0.tar tests1.0.0 && $(COMPRESS) tests1.0.0.tar) && $(MOVE) `dirname ../tests/.tmp/tests1.0.0`/tests1.0.0.tar.gz . && $(DEL_FILE) -r ../tests/.tmp/tests1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_eveaccount.cpp moc_evemodel.cpp moc_eveskilltraining.cpp moc_skilltree.cpp
moc_eveaccount.cpp: ../src/eveskilltraining.h \
		../src/eveaccount.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/eveaccount.h -o moc_eveaccount.cpp

moc_evemodel.cpp: ../src/eveaccount.h \
		../src/eveskilltraining.h \
		../src/evemodel.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/evemodel.h -o moc_evemodel.cpp

moc_eveskilltraining.cpp: ../src/eveskilltraining.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/eveskilltraining.h -o moc_eveskilltraining.cpp

moc_skilltree.cpp: ../src/skilltree.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../src/skilltree.h -o moc_skilltree.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: main.moc
compiler_moc_source_clean:
	-$(DEL_FILE) main.moc
main.moc: ../tests/main.cpp
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) ../tests/main.cpp -o main.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_moc_source_clean 

####### Compile

main.o: ../tests/main.cpp main.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../tests/main.cpp

eveaccount.o: ../src/eveaccount.cpp ../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveaccount.o ../src/eveaccount.cpp

evemodel.o: ../src/evemodel.cpp ../src/evemodel.h \
		../src/eveaccount.h \
		../src/eveskilltraining.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evemodel.o ../src/evemodel.cpp

eveskilltraining.o: ../src/eveskilltraining.cpp ../src/eveskilltraining.h \
		../src/evemodel.h \
		../src/eveaccount.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o eveskilltraining.o ../src/eveskilltraining.cpp

skilltree.o: ../src/skilltree.cpp ../src/skilltree.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o skilltree.o ../src/skilltree.cpp

moc_eveaccount.o: moc_eveaccount.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveaccount.o moc_eveaccount.cpp

moc_evemodel.o: moc_evemodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_evemodel.o moc_evemodel.cpp

moc_eveskilltraining.o: moc_eveskilltraining.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_eveskilltraining.o moc_eveskilltraining.cpp

moc_skilltree.o: moc_skilltree.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_skilltree.o moc_skilltree.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
