## evehomescreen 0.0.3-1

=== debian/changelog ===
evehomescreen (0.0.3-1) unstable; urgency=low

  * Refresh skill training automatically when the current skill is finished
  * Better message when no skill in training
  * Avoid refreshing on cache period

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Tue, 11 May 2010 15:50:43 +0300

evehomescreen (0.0.2-1) unstable; urgency=low

  * Saving and loading account and character info

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sat,  8 May 2010 21:20:59 +0300

evehomescreen (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Wed,  5 May 2010 22:46:36 +0300
