## evehomescreen 0.0.3-2

=== debian/changelog ===
evehomescreen (0.0.3-2) unstable; urgency=low

  * Added icon, description and bugtracker links to packaging 

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Wed, 12 May 2010 21:49:38 +0300
