## evehomescreen 0.1.0-1

=== src/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #############################################################################
 # Makefile for building: evehomescreen
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed May 12 21:51:24 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 24 21:54:15 2010
 # Project:  evehomescreen.pro
 # Template: app
-# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
+# Command: /opt/qt4-maemo5/bin/qmake -unix PREFIX=/usr -o Makefile evehomescreen.pro
 #############################################################################
 
 ####### Compiler, tools and options
 
 CC            = gcc
 CXX           = g++
-DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/opt-armel/qt4-maemo5/include/QtCore -I/opt-armel/qt4-maemo5/include/QtNetwork -I/opt-armel/qt4-maemo5/include/QtGui -I/opt-armel/qt4-maemo5/include/QtMaemo5 -I/opt-armel/qt4-maemo5/include -I/opt/qt4-maemo5/include/QtBearer -I../qmaemo5homescreenadaptor -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
+DEFINES       = -DDATADIR=\"/usr/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/opt-x86/qt4-maemo5/mkspecs/linux-g++ -I. -I/opt-x86/qt4-maemo5/include/QtCore -I/opt-x86/qt4-maemo5/include/QtNetwork -I/opt-x86/qt4-maemo5/include/QtGui -I/opt-x86/qt4-maemo5/include/QtMaemo5 -I/opt-x86/qt4-maemo5/include -I../qmaemo5homescreenadaptor -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
-LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -L/usr/lib -lQtBearer -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
+LFLAGS        = -Wl,-O1 -Wl,-rpath,/opt/qt4-maemo5/lib
+LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /opt/qt4-maemo5/bin/qmake
@@ -72,26 +72,26 @@
 		moc_evesettingsdialog.o \
 		moc_skilltree.o \
 		moc_qmaemo5homescreenadaptor.o
-DIST          = /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
-		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
-		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
+DIST          = /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
+		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
 		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		evehomescreen.pro
 QMAKE_TARGET  = evehomescreen
 DESTDIR       = 
@@ -124,53 +124,53 @@
 $(TARGET): ui_evesettingsdialog.h ui_mainwindow.h $(OBJECTS)  
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: evehomescreen.pro  /opt-armel/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /opt-armel/qt4-maemo5/mkspecs/common/unix.conf \
-		/opt-armel/qt4-maemo5/mkspecs/common/linux.conf \
-		/opt-armel/qt4-maemo5/mkspecs/qconfig.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf \
+Makefile: evehomescreen.pro  /opt-x86/qt4-maemo5/mkspecs/linux-g++/qmake.conf /opt-x86/qt4-maemo5/mkspecs/common/g++.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/unix.conf \
+		/opt-x86/qt4-maemo5/mkspecs/common/linux.conf \
+		/opt-x86/qt4-maemo5/mkspecs/qconfig.pri \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf \
 		../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri \
-		/opt-armel/qt4-maemo5/mkspecs/features/release.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/qt.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/moc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/resources.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/uic.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/lex.prf \
-		/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/release.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/qt.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/moc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/resources.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/uic.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/lex.prf \
+		/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf \
 		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
 		/opt/qt4-maemo5/lib/libQtDBus.prl \
 		/opt/qt4-maemo5/lib/libQtXml.prl \
 		/opt/qt4-maemo5/lib/libQtCore.prl \
 		/opt/qt4-maemo5/lib/libQtGui.prl \
 		/opt/qt4-maemo5/lib/libQtNetwork.prl
-	$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
-/opt-armel/qt4-maemo5/mkspecs/common/unix.conf:
-/opt-armel/qt4-maemo5/mkspecs/common/linux.conf:
-/opt-armel/qt4-maemo5/mkspecs/qconfig.pri:
-/opt-armel/qt4-maemo5/mkspecs/features/qt_functions.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/qt_config.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/default_pre.prf:
+	$(QMAKE) -unix PREFIX=/usr -o Makefile evehomescreen.pro
+/opt-x86/qt4-maemo5/mkspecs/common/g++.conf:
+/opt-x86/qt4-maemo5/mkspecs/common/unix.conf:
+/opt-x86/qt4-maemo5/mkspecs/common/linux.conf:
+/opt-x86/qt4-maemo5/mkspecs/qconfig.pri:
+/opt-x86/qt4-maemo5/mkspecs/features/qt_functions.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/qt_config.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/default_pre.prf:
 ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.pri:
-/opt-armel/qt4-maemo5/mkspecs/features/release.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/default_post.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/mobility.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/warn_on.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/qt.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/unix/thread.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/moc.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/resources.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/uic.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/yacc.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/lex.prf:
-/opt-armel/qt4-maemo5/mkspecs/features/include_source_dir.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/release.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/default_post.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/warn_on.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/qt.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/unix/thread.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/moc.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/resources.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/uic.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/yacc.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/lex.prf:
+/opt-x86/qt4-maemo5/mkspecs/features/include_source_dir.prf:
 /opt/qt4-maemo5/lib/libQtMaemo5.prl:
 /opt/qt4-maemo5/lib/libQtDBus.prl:
 /opt/qt4-maemo5/lib/libQtXml.prl:
@@ -178,7 +178,7 @@
 /opt/qt4-maemo5/lib/libQtGui.prl:
 /opt/qt4-maemo5/lib/libQtNetwork.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix PREFIX\ =\ /usr -o Makefile evehomescreen.pro
+	@$(QMAKE) -unix PREFIX=/usr -o Makefile evehomescreen.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/evehomescreen1.0.0 || $(MKDIR) .tmp/evehomescreen1.0.0 
@@ -295,3 +295,12 @@
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o evesettingsdialog.o evesettingsdialog.cpp
 
 skilltree.o: skilltree.cpp skilltree.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o skilltree.o skilltree.cpp
+
+qmaemo5homescreenadaptor.o: ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmaemo5homescreenadaptor.o ../qmaemo5homescreenadaptor/qmaemo5homescreenadaptor.cpp
+
+moc_widget.o: moc_widget.cpp 
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_widget.o moc_widget.cpp
+
+moc_evemodel.o: moc_evemodel.cpp
