=== debian/changelog ===
evehomescreen (0.1.0-1) unstable; urgency=low

  * Tap to refresh info
  * Indicate loading skills

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sun, 23 May 2010 21:36:33 +0300

evehomescreen (0.0.4-1) unstable; urgency=low

  * Text color reflects queue status
  * QT Mobility dependency removed

 -- Jaakko Kyro <jkyro@korjaussarja.net>  Sun, 23 May 2010 16:57:29 +0300
