=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: extra
 Maintainer: Jaakko Kyro <jkyro@korjaussarja.net>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libqtm-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libx11-dev, x11proto-core-dev, libgconf2-dev, libdbus-1-dev, libglib2.0-dev, libdbus-glib-1-dev
 Standards-Version: 3.7.2
 
 Package: evehomescreen
